<?php

/**
 * Maizzy About Page
 * @package Maizzy
 *
*/

if( !class_exists('Maizzy_About_page') ):

	class Maizzy_About_page{

		function __construct(){

			add_action('admin_menu', array($this, 'maizzy_backend_menu'),999);

		}

		// Add Backend Menu
        function maizzy_backend_menu(){

            add_theme_page(esc_html__( 'Maizzy','maizzy' ), esc_html__( 'Maizzy','maizzy' ), 'activate_plugins', 'maizzy-about', array($this, 'maizzy_main_page'),1);

        }

        // Settings Form
        function maizzy_main_page(){

            require get_template_directory() . '/classes/about-render.php';

        }

	}

	new Maizzy_About_page();

endif;